VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "ActiveVB FrameAsForm-Beispiel"
   ClientHeight    =   3585
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   9045
   LinkTopic       =   "Form1"
   ScaleHeight     =   3585
   ScaleWidth      =   9045
   StartUpPosition =   3  'Windows-Standard
   Begin VB.Timer Timer1 
      Left            =   3960
      Top             =   240
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Frame2 vergrern"
      Height          =   495
      Left            =   1560
      TabIndex        =   4
      Top             =   360
      Width           =   1455
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Beide anzeigen"
      Height          =   495
      Left            =   120
      TabIndex        =   3
      Top             =   360
      Width           =   1455
   End
   Begin VB.Frame Frame2 
      Caption         =   "Frame2"
      Height          =   1215
      Left            =   3840
      TabIndex        =   1
      Top             =   1440
      Width           =   4575
   End
   Begin VB.Frame Frame1 
      Caption         =   "Frame1"
      Height          =   1815
      Left            =   240
      TabIndex        =   0
      Top             =   1440
      Width           =   2775
   End
   Begin VB.Label Label1 
      Caption         =   "Label1"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   0
      Width           =   2895
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'------------------------------------------------------------
'     Form1 zur Class clsFrameAsForm
'
'     (c) peter.k.sauer@web.de   05.2003
'
'     ein Frame wie eine Form darstellen mit Titlebar
'------------------------------------------------------------
'     Form1 darauf Frame1, Frame2, Command1, Command2, Command3
'                  Label1, Timer1
'     optional einige Controls auf den Frames
'------------------------------------------------------------

Option Explicit

'zuweisen der Frames zu Classes
Private WithEvents cFrame1 As clsFrameAsForm
Attribute cFrame1.VB_VarHelpID = -1
Private WithEvents cFrame2 As clsFrameAsForm
Attribute cFrame2.VB_VarHelpID = -1

Private Sub cFrame1_FrameExit()
'Frame1 wird ber den Exit Button abgeschossen

      MsgBox "Abschuss Frame1"
End Sub

Private Sub cFrame1_FrameMoved()
'Frame1 wurde verschoben

      Label1.Caption = "moving Frame1"
End Sub

Private Sub cFrame1_LostFocus()
'Frame1 verliert den Focus und wird unvisible

      cFrame1.Visible = False
End Sub

Private Sub cFrame2_FrameExit()
'Frame2 wurde abgeschossen (nur wenn ExitButton zugelassen)

      MsgBox "Abschuss Frame2"
End Sub

Private Sub cFrame2_FrameMoved()
'Frame2 wurde verschoben

      Label1.Caption = "moving Frame2"
End Sub

Private Sub Command1_Click()
      'zum Vergleichen
      cFrame2.Visible = True
      cFrame1.Visible = True
End Sub

Private Sub Command2_Click()
'Frame2 in der Grsse verndern

      Frame2.Width = Frame2.Width * 1.2
      Frame2.Height = Frame2.Height * 1.2
      Frame2.Caption = "Hallo liebe Welt"
      cFrame2.Refresh
End Sub



Private Sub Form_Activate()
'Classes aktivieren

      If cFrame2 Is Nothing Then
         Set cFrame2 = New clsFrameAsForm
         With cFrame2
            .Init Frame2, True
            .Caption = "Ich bin ein FrameForm"
            .ExitButton = False
            .OnFormLeftMax = 1000
         End With
      End If
      
      If cFrame1 Is Nothing Then
         Set cFrame1 = New clsFrameAsForm
         With cFrame1
            'individuelle Einstellungen
            .Init Frame1, True
            .Moveable = True
            .OnFormBottomMax = 300
            .OnFormTopMax = 300
            .OnFormLeftMax = -500
            .OnFormRightMax = -500
         End With
      End If
      
End Sub

Private Sub Form_Load()
      
      'Event Demo moving Frame
      Label1.Caption = ""
      Timer1.Interval = 1000
      Timer1.Enabled = True
End Sub

Private Sub Form_Unload(Cancel As Integer)
'aufrumen

   Dim Frm As Form
            
      For Each Frm In Forms
         Unload Frm
      Next
      
      Set cFrame1 = Nothing
      Set cFrame2 = Nothing
End Sub

Private Sub Timer1_Timer()
'Zwischenmeldungen ausblenden

      Label1.Caption = ""
End Sub
